package com.uavps.system.domain;

import com.uavps.common.annotation.Excel;
import com.uavps.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 飞机数据对象 uavps_aircraft
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public class UavpsAircraft extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 业务ID
     */
    private String bizId;

    /**
     * 时间单位ms,代表本次数据的时间
     */
    private BigDecimal dataTime;

    /**
     * 飞机数据
     */
    @Excel(name = "飞机数据")
    private String aircraftData;

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getBizId() {
        return bizId;
    }

    public void setDataTime(BigDecimal dataTime) {
        this.dataTime = dataTime;
    }

    public BigDecimal getDataTime() {
        return dataTime;
    }

    public void setAircraftData(String aircraftData) {
        this.aircraftData = aircraftData;
    }

    public String getAircraftData() {
        return aircraftData;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("bizId", getBizId())
                .append("dataTime", getDataTime())
                .append("aircraftData", getAircraftData())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
